Get Forecast Premium PV

View as Markdown
GET/data/forecast/premium_pv_power

Query Parameters

5 fields
resource_idrequired
string

The resource id of the resource.

hours
integer (int32)

The number of hours to return in the response.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
output_parameters
string[]

The output parameters to include in the response. Any p-level variant (1-99, up to one decimal place; no decimal point for whole numbers) of a p-capable base is also accepted if present on your plan (e.g. power_p70, power_p77.5, curtailed_power_p20).

Accepted values
power curtailed_power availability curtailment
format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

ForecastPremiumPvPowerResponse
forecasts
object[]optional

GET/data/forecast/premium_pv_power

Request
curl -X GET "https://api.solcast.com.au/data/forecast/premium_pv_power?resource_id=cbf6-a872-1cb2-566f&output_parameters=power&issue_time=<issue_time>&request_id=<request_id>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "forecasts": [
    {
      "power": 0,
      "period_end": "2026-07-30T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0,
      "period_end": "2026-07-30T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0,
      "period_end": "2026-07-30T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Create Site Measurements

View as Markdown
POST/resources/pv_power_site_measurements

Submit measurement data for a Premium PV Power site. Measurements are used for model training. Maximum 1000 measurements per request. Power units (AC) are measured in MW.

Request Body

2 fields
resource_idrequired
string

The unique identifier of the Premium PV Power resource.

measurements
ApiPvSiteMeasurement[]

Array of measurement records (1-1000).

view definition
availability
number (double)optionalAvailability percentage (0-100).
curtailment
number (double)optionalCurtailment ceiling in MW.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' required.
period_end
string (date-time)optionalEnd of the measurement period (ISO-8601 with timezone, exclusive).
period_start
string (date-time)optionalStart of the measurement period (ISO-8601 with timezone, inclusive). Alternative to 'period'.
power
number (double)optionalPower output in MW.

Responses

200

OK

CreateSiteMeasurementsResponse
resource_id
stringoptional
accepted
integer (int32)optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

POST/resources/pv_power_site_measurements

Request
curl -X POST "https://api.solcast.com.au/resources/pv_power_site_measurements" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "measurements": [
    {
      "availability": 1,
      "curtailment": 1,
      "period": "string",
      "period_end": "2024-07-01T00:00:00.0000000Z",
      "period_start": "string",
      "power": 1
    }
  ],
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde"
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "accepted": 42,
  "response_status": {
    "error_code": "string",
    "message": "string",
    "stack_trace": "string",
    "errors": [
      {
        "error_code": null,
        "field_name": null,
        "message": null,
        "meta": null
      }
    ],
    "meta": {}
  }
}

Retrieve Site Measurements

View as Markdown
GET/resources/pv_power_site_measurements

Retrieve historical measurement data for a Premium PV Power site. Supports pagination via skip/take and date filtering via start/end.

Query Parameters

4 fields
resource_idrequired
string

The unique identifier of the Premium PV Power resource.

start
string (date-time)

Filter: period_end >= start (ISO-8601).

end
string (date-time)

Filter: period_end <= end (ISO-8601).

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

QueryResponse_PvUtilityMeasurement
offset
integer (int32)optional
total
integer (int32)optional
results
PvUtilityMeasurement[]optionalview definition
id
integer (int64)optional
solar_farm_id
integer (int32)optional
period_end
string (date-time)optional
period
string (date-span)optional
created
string (date-time)optional
total_power
number (double)optional
inverters_available
integer (int32)optional
availability
number (double)optional
mean_ghi
integer (int32)optional
tracking_angle
integer (int32)optional
network_constraint
booleanoptional
constraint_power_ceiling
number (double)optional
local_limit
number (double)optional
frequency
number (double)optional
meta
objectoptional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/resources/pv_power_site_measurements

Request
curl -X GET "https://api.solcast.com.au/resources/pv_power_site_measurements?resource_id=cbf6-a872-1cb2-566f&start=2026-01-01&end=<end>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "offset": 0,
  "total": 0,
  "results": []
}

List Resources

View as Markdown
GET/resources/pv_power_sites

Lists all PV power sites accessible to the authenticated user. Supports pagination (skip/take), entitlement filtering (advanced/premium), and date range filtering (start/end).

Query Parameters

6 fields
start
string (date-time)

Filter to sites created on or after this date (ISO 8601 format).

end
string (date-time)

Filter to sites created before this date (ISO 8601 format).

entitlement
string

Optional filter for site entitlement.

show_all
boolean

When true, returns all sites in the system. Requires admin privileges.

query
string

Search query for site name or resource ID.

forecast_production
boolean

Filter to sites where ML forecast production is enabled (premium only).

Responses

200

OK

QueryResponse_PvPowerResource
offset
integer (int32)optional
total
integer (int32)optional
results
PvPowerResource[]optionalview definition
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)optionalTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)optionalTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracking_type
stringoptionalThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
install_date
string (date-time)optionalThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
meta
objectoptional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/resources/pv_power_sites

Request
curl -X GET "https://api.solcast.com.au/resources/pv_power_sites?entitlement=<entitlement>&show_all=<show_all>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "offset": 0,
  "total": 10,
  "results": [
    {
      "resource_id": "cbf6-a872-1cb2-566f",
      "name": "GDP - Postman Test Site",
      "latitude": 8.2246,
      "longitude": -73.323238,
      "capacity": 34.88,
      "capacity_dc": 40.96,
      "azimuth": 152.5,
      "tilt": 10.4,
      "tracking_type": "fixed",
      "install_date": "2023-08-01T07:00:00.0000000Z",
      "grid_export_limit": 35,
      "module_type": "mono-si",
      "ground_coverage_ratio": 0.626,
      "derating_temp_module": 0.0034,
      "derating_age_system": 0.0045,
      "derating_other_system": 0.0525,
      "inverter_peak_efficiency": 0.95,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": true,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2
    },
    {
      "resource_id": "3ae7-2456-492c-9aba",
      "name": "Test Site: Fort Peck",
      "latitude": 48.30783,
      "longitude": -105.1017,
      "capacity": 10,
      "capacity_dc": 1.27,
      "azimuth": 180,
      "tilt": 46.59,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2023-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.47,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.07,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2,
      "confirmed_metadata": "2024-08-01T08:22:57.5742140Z"
    },
    {
      "resource_id": "8d10-f530-af85-5cbb",
      "name": "Test Site: Giza Pyramid Complex",
      "latitude": 29.977296,
      "longitude": 31.132496,
      "capacity": 10,
      "capacity_dc": 1.27,
      "azimuth": 180,
      "tilt": 46.59,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2023-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.47,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.07,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2,
      "confirmed_metadata": "2024-08-01T08:25:39.5720920Z"
    }
  ]
}

Create Resource

View as Markdown
POST/resources/pv_power_site

Request Body

32 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

entitlement
string

Entitlement for the site.

Accepted values
advancedpremium
capacity
number (double)

Total inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.

capacity_dc
number (double)

Total module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.

azimuth
number (double)

The angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tilt
number (double)

The off-horizontal tilt angle of modules for a fixed-tilt site.

tracking_type
string

The type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.

install_date
string (date-time)

The date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.

grid_export_limit
number (double)

The maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.

module_type
string

The type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.

ground_coverage_ratio
number (double)

The proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.

derating_temp_module
number (double)

The factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.

derating_age_system
number (double)

The factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.

derating_other_system
number (double)

The total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.

inverter_peak_efficiency
number (double)

The peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.

tracker_axis_azimuth
number (double)

The off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tracker_max_rotation_angle
number (double)

The maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_back_tracking
boolean

Whether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_smart_tracking
boolean

Whether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

terrain_slope
number (double)

The average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.

terrain_azimuth
number (double)

The average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

dust_soiling_average
number[]

The average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.

bifacial_system
boolean

Bifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.

site_ground_albedo
number (double)

The proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.

bifaciality_factor
number (double)

For bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.

pvrow_height
number (double)

The height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.

pvrow_width
number (double)

The width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

Responses

200

OK

PvPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)optionalTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)optionalTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracking_type
stringoptionalThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
install_date
string (date-time)optionalThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

POST/resources/pv_power_site

Request
curl -X POST "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "entitlement": "advanced",
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Get Resource

View as Markdown
GET/resources/pv_power_site

Query Parameters

1 field
resource_idrequired
string

The unique identifier of the resource.

Responses

200

OK

PvPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)optionalTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)optionalTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracking_type
stringoptionalThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
install_date
string (date-time)optionalThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

GET/resources/pv_power_site

Request
curl -X GET "https://api.solcast.com.au/resources/pv_power_site?resource_id=ba75-e17a-7374-95ed" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "resource_id": "ba75-e17a-7374-95ed",
  "name": "Test Site: Sydney Opera House",
  "latitude": -33.856784,
  "longitude": 151.215297,
  "capacity": 10,
  "capacity_dc": 15,
  "azimuth": 0,
  "tilt": 30.22,
  "tracking_type": "horizontal_single_axis",
  "install_date": "2021-07-01T00:00:00.0000000Z",
  "module_type": "poly-si",
  "ground_coverage_ratio": 0.47,
  "derating_temp_module": 0.0039,
  "derating_age_system": 0.0059,
  "derating_other_system": 0.07,
  "inverter_peak_efficiency": 0.985,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 60,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": false,
  "terrain_slope": 0,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    0.015,
    0.015,
    0.015
  ],
  "bifacial_system": false,
  "site_ground_albedo": 0.25,
  "bifaciality_factor": 0.7,
  "pvrow_height": 1.5,
  "pvrow_width": 2,
  "confirmed_metadata": "2024-07-30T11:52:28.9964540Z"
}

Patch Resource

View as Markdown
PATCH/resources/pv_power_site

Request Body

31 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

capacity
number (double)

Total inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.

capacity_dc
number (double)

Total module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.

azimuth
number (double)

The angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tilt
number (double)

The off-horizontal tilt angle of modules for a fixed-tilt site.

tracking_type
string

The type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.

install_date
string (date-time)

The date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.

grid_export_limit
number (double)

The maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.

module_type
string

The type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.

ground_coverage_ratio
number (double)

The proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.

derating_temp_module
number (double)

The factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.

derating_age_system
number (double)

The factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.

derating_other_system
number (double)

The total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.

inverter_peak_efficiency
number (double)

The peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.

tracker_axis_azimuth
number (double)

The off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tracker_max_rotation_angle
number (double)

The maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_back_tracking
boolean

Whether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_smart_tracking
boolean

Whether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

terrain_slope
number (double)

The average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.

terrain_azimuth
number (double)

The average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

dust_soiling_average
number[]

The average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.

bifacial_system
boolean

Bifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.

site_ground_albedo
number (double)

The proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.

bifaciality_factor
number (double)

For bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.

pvrow_height
number (double)

The height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.

pvrow_width
number (double)

The width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

Responses

200

OK

PvPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)optionalTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)optionalTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracking_type
stringoptionalThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
install_date
string (date-time)optionalThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

PATCH/resources/pv_power_site

Request
curl -X PATCH "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Update Resource

View as Markdown
PUT/resources/pv_power_site

Request Body

31 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

capacity
number (double)

Total inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.

capacity_dc
number (double)

Total module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.

azimuth
number (double)

The angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tilt
number (double)

The off-horizontal tilt angle of modules for a fixed-tilt site.

tracking_type
string

The type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.

install_date
string (date-time)

The date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.

grid_export_limit
number (double)

The maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.

module_type
string

The type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.

ground_coverage_ratio
number (double)

The proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.

derating_temp_module
number (double)

The factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.

derating_age_system
number (double)

The factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.

derating_other_system
number (double)

The total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.

inverter_peak_efficiency
number (double)

The peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.

tracker_axis_azimuth
number (double)

The off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tracker_max_rotation_angle
number (double)

The maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_back_tracking
boolean

Whether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_smart_tracking
boolean

Whether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

terrain_slope
number (double)

The average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.

terrain_azimuth
number (double)

The average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

dust_soiling_average
number[]

The average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.

bifacial_system
boolean

Bifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.

site_ground_albedo
number (double)

The proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.

bifaciality_factor
number (double)

For bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.

pvrow_height
number (double)

The height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.

pvrow_width
number (double)

The width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

Responses

200

OK

PvPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)optionalTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)optionalTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracking_type
stringoptionalThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
install_date
string (date-time)optionalThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

PUT/resources/pv_power_site

Request
curl -X PUT "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Remove Resource

View as Markdown
DELETE/resources/pv_power_site

Query Parameters

1 field
resource_idrequired
string

The unique identifier of the resource.

Responses

204

No Content

DELETE/resources/pv_power_site

Request
curl -X DELETE "https://api.solcast.com.au/resources/pv_power_site?resource_id=ba75-e17a-7374-95ed" \
  -H "Authorization: Bearer $API_KEY"
Response
200

Retrieve Current Schedule

View as Markdown
GET/manage/schedules

Retrieve the current availability and curtailment schedule for a premium resource. Use issue_time to query historical schedule state.

Query Parameters

3 fields
resource_idrequired
string

The resource id.

period_startrequired
string (date-time)

Start of the query window (ISO 8601). Must be on a 5-minute boundary.

period_endrequired
string (date-time)

End of the query window (ISO 8601). Must be on a 5-minute boundary.

Responses

200

OK

ResourceScheduleResponse
availability_schedule
AvailabilityIntervalDto[]optionalview definition
period_start
string (date-time)optional
period_end
string (date-time)optional
availability
number (double)optional
curtailment_schedule
CurtailmentIntervalDto[]optionalview definition
period_start
string (date-time)optional
period_end
string (date-time)optional
curtailment
number (double)optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/manage/schedules

Request
curl -X GET "https://api.solcast.com.au/manage/schedules?resource_id=cbf6-a872-1cb2-566f&period_start=2026-01-01T00:00:00.0000000Z&period_end=2026-01-02T00:00:00.0000000Z&issue_time=<issue_time>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "availability_schedule": [],
  "curtailment_schedule": []
}

Patch Schedule Intervals

View as Markdown
PATCH/manage/schedules

Merge new availability and/or curtailment schedule intervals into the existing stored schedule for a premium resource. Overlapping intervals are replaced (existing intervals are split as needed). The request is all-or-nothing: a validation error in any entry rejects the entire request.

Request Body

3 fields
resource_idrequired
string

The resource id.

availability_schedule
ScheduleIntervalDto[]

Availability schedule entries to merge.

view definition
period_start
string (date-time)optionalStart of the schedule interval in ISO 8601 format.
period_end
string (date-time)optionalEnd of the schedule interval in ISO 8601 format.
availability
number (double)optionalAvailability percentage for the interval, from 0 to 100.
curtailment
number (double)optionalCurtailment power cap for the interval in MW.
curtailment_schedule
ScheduleIntervalDto[]

Curtailment schedule entries to merge.

view definition
period_start
string (date-time)optionalStart of the schedule interval in ISO 8601 format.
period_end
string (date-time)optionalEnd of the schedule interval in ISO 8601 format.
availability
number (double)optionalAvailability percentage for the interval, from 0 to 100.
curtailment
number (double)optionalCurtailment power cap for the interval in MW.

Responses

200

OK

PatchResourceScheduleResponse
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

PATCH/manage/schedules

Request
curl -X PATCH "https://api.solcast.com.au/manage/schedules" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "availability_schedule": [
    {
      "period_start": "string",
      "period_end": "2024-07-01T00:00:00.0000000Z",
      "availability": 1,
      "curtailment": 1
    }
  ],
  "curtailment_schedule": [
    {
      "period_start": "string",
      "period_end": "2024-07-01T00:00:00.0000000Z",
      "availability": 1,
      "curtailment": 1
    }
  ]
}'
Response
live example
200
{
  "response_status": {
    "error_code": "string",
    "message": "string",
    "stack_trace": "string",
    "errors": [
      {
        "error_code": null,
        "field_name": null,
        "message": null,
        "meta": null
      }
    ],
    "meta": {}
  }
}

Remove Schedule Data

View as Markdown
DELETE/manage/schedules

Remove stored schedule data for the given time window and schedule type(s). Intervals extending beyond the window are trimmed; intervals entirely within are dropped.

Query Parameters

4 fields
resource_idrequired
string

The resource id.

period_startrequired
string (date-time)

Start of the delete window (ISO 8601). Must be on a 5-minute boundary.

period_endrequired
string (date-time)

End of the delete window (ISO 8601). Must be on a 5-minute boundary.

schedule_typerequired
string

Comma-separated list of schedule types to delete: availability, curtailment

Responses

200

OK

DeleteResourceScheduleResponse
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

DELETE/manage/schedules

Request
curl -X DELETE "https://api.solcast.com.au/manage/schedules?resource_id=cbf6-a872-1cb2-566f&period_start=2026-01-01T00:00:00.0000000Z&period_end=2026-01-02T00:00:00.0000000Z&schedule_type=<schedule_type>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "response_status": {
    "error_code": "string",
    "message": "string",
    "stack_trace": "string",
    "errors": [
      {
        "error_code": null,
        "field_name": null,
        "message": null,
        "meta": null
      }
    ],
    "meta": {}
  }
}

Get Forecast Premium Wind

View as Markdown
GET/data/forecast/premium_wind_power

Query Parameters

5 fields
resource_idrequired
string

The resource id of the resource.

hours
integer (int32)

The number of hours to return in the response.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
output_parameters
string[]

The output parameters to include in the response. Any p-level variant (1-99, up to one decimal place; no decimal point for whole numbers) of a p-capable base is also accepted if present on your plan (e.g. power_p70, power_p77.5, curtailed_power_p20, wind_speed_hub_height_p35).

Accepted values
power curtailed_power wind_speed_hub_height wind_direction_hub_height availability curtailment
format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

ForecastPremiumWindPowerResponse
forecasts
object[]optional

GET/data/forecast/premium_wind_power

Request
curl -X GET "https://api.solcast.com.au/data/forecast/premium_wind_power?resource_id=c533-fbce-05b5-b3ef&output_parameters=power&period=PT60M&hours=24" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "forecasts": [
    {
      "power": 0.5386,
      "period_end": "2026-07-30T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0.3185,
      "period_end": "2026-07-30T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0.2953,
      "period_end": "2026-07-30T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Create Site Measurements

View as Markdown
POST/resources/wind_power_site_measurements

Submit measurement data for a Premium Wind Power site. Measurements are used for model training. Maximum 1000 measurements per request. Power units (AC) are measured in MW.

Request Body

2 fields
resource_idrequired
string

The unique identifier of the Premium Wind Power resource.

measurements
ApiWindSiteMeasurement[]

Array of measurement records (1-1000).

view definition
availability
number (double)optionalAvailability percentage (0-100).
curtailment
number (double)optionalCurtailment ceiling in MW.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' is required.
period_end
string (date-time)optionalEnd of the measurement period (ISO-8601 with timezone, exclusive).
period_start
string (date-time)optionalStart of the measurement period (ISO-8601 with timezone, inclusive). Alternative to 'period'.
power
number (double)optionalPower output in MW.
wind_direction_hub_height
number (double)optionalWind direction at hub height in degrees (0-360).
wind_speed_hub_height
number (double)optionalWind speed at hub height in m/s.

Responses

200

OK

CreateSiteMeasurementsResponse
resource_id
stringoptional
accepted
integer (int32)optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

POST/resources/wind_power_site_measurements

Request
curl -X POST "https://api.solcast.com.au/resources/wind_power_site_measurements" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "measurements": [
    {
      "availability": 1,
      "curtailment": 1,
      "period": "string",
      "period_end": "2024-07-01T00:00:00.0000000Z",
      "period_start": "string",
      "power": 1,
      "wind_direction_hub_height": 1,
      "wind_speed_hub_height": 1
    }
  ],
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde"
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "accepted": 42,
  "response_status": {
    "error_code": "string",
    "message": "string",
    "stack_trace": "string",
    "errors": [
      {
        "error_code": null,
        "field_name": null,
        "message": null,
        "meta": null
      }
    ],
    "meta": {}
  }
}

Retrieve Site Measurements

View as Markdown
GET/resources/wind_power_site_measurements

Retrieve historical measurement data for a Premium Wind Power site. Supports pagination via skip/take and date filtering via start/end.

Query Parameters

4 fields
resource_idrequired
string

The unique identifier of the Premium Wind Power resource.

start
string (date-time)

Filter: period_end >= start (ISO-8601).

end
string (date-time)

Filter: period_end <= end (ISO-8601).

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

QueryResponse_WindSiteMeasurement
offset
integer (int32)optional
total
integer (int32)optional
results
WindSiteMeasurement[]optionalview definition
id
integer (int64)optional
wind_site_id
integer (int32)optional
period_end
string (date-time)optional
period
string (date-span)optional
created
string (date-time)optional
total_power
number (double)optional
availability
number (double)optional
constraint_power_ceiling
number (double)optional
wind_speed_hub_height
number (double)optional
wind_direction_hub_height
number (double)optional
meta
objectoptional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/resources/wind_power_site_measurements

Request
curl -X GET "https://api.solcast.com.au/resources/wind_power_site_measurements?resource_id=c533-fbce-05b5-b3ef&start=2026-01-01&end=<end>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "offset": 0,
  "total": 0,
  "results": []
}

List Resources

View as Markdown
GET/resources/wind_power_sites

Lists all premium wind power sites accessible to the authenticated user.

Query Parameters

5 fields
start
string (date-time)

Filter to sites created on or after this date (ISO 8601 format).

end
string (date-time)

Filter to sites created before this date (ISO 8601 format).

show_all
boolean

When true, returns all sites in the system. Requires admin privileges.

query
string

Search query for site name or resource ID.

forecast_production
boolean

Filter to sites where ML forecast production is enabled.

Responses

200

OK

QueryResponse_PremiumWindPowerResource
offset
integer (int32)optional
total
integer (int32)optional
results
PremiumWindPowerResource[]optionalview definition
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)requiredThe site capacity (rated power × number of turbines) in MW.
rotor_diameter
number (double)optionalAverage diameter of turbine rotor in metres. Must be between 20 and 200.
rated_power
number (double)optionalAverage turbine rated power in MW. Must be between 0.1 and 15000.
hub_height
number (double)optionalAverage height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.
number_of_turbines
integer (int32)optionalTotal number of turbines at site. Must be between 1 and 500. Defaults to 1.
cut_in_wind_speed
number (double)optionalMinimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.
cut_out_wind_speed
number (double)optionalMaximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.
rated_wind_speed
number (double)optionalWind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.
meta
objectoptional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/resources/wind_power_sites

Request
curl -X GET "https://api.solcast.com.au/resources/wind_power_sites?show_all=<show_all>&query=<query>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "offset": 0,
  "total": 1,
  "results": [
    {
      "resource_id": "c533-fbce-05b5-b3ef",
      "name": "GDP - Postman Test Site",
      "latitude": 36.5,
      "longitude": -5.5,
      "capacity": 14,
      "rotor_diameter": 90,
      "rated_power": 2,
      "hub_height": 100,
      "number_of_turbines": 7,
      "cut_in_wind_speed": 3,
      "cut_out_wind_speed": 25,
      "rated_wind_speed": 13.5
    }
  ]
}

Create Resource

View as Markdown
POST/resources/wind_power_site

Create a new premium wind power site. Required fields: name, latitude, longitude, capacity. Optional fields with defaults: rotor_diameter (100m), hub_height (80m), number_of_turbines (1), cut_in_wind_speed (3 m/s), cut_out_wind_speed (25 m/s), rated_wind_speed (12 m/s).

Request Body

12 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

capacityrequired
number (double)

The site capacity (rated power × number of turbines) in MW.

rotor_diameter
number (double)

Average diameter of turbine rotor in metres. Must be between 20 and 200.

rated_power
number (double)

Average turbine rated power in MW. Must be between 0.1 and 15000.

hub_height
number (double)

Average height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.

number_of_turbines
integer (int32)

Total number of turbines at site. Must be between 1 and 500. Defaults to 1.

cut_in_wind_speed
number (double)

Minimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.

cut_out_wind_speed
number (double)

Maximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.

rated_wind_speed
number (double)

Wind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

Responses

200

OK

PremiumWindPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)requiredThe site capacity (rated power × number of turbines) in MW.
rotor_diameter
number (double)optionalAverage diameter of turbine rotor in metres. Must be between 20 and 200.
rated_power
number (double)optionalAverage turbine rated power in MW. Must be between 0.1 and 15000.
hub_height
number (double)optionalAverage height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.
number_of_turbines
integer (int32)optionalTotal number of turbines at site. Must be between 1 and 500. Defaults to 1.
cut_in_wind_speed
number (double)optionalMinimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.
cut_out_wind_speed
number (double)optionalMaximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.
rated_wind_speed
number (double)optionalWind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

POST/resources/wind_power_site

Request
curl -X POST "https://api.solcast.com.au/resources/wind_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}

Get Resource

View as Markdown
GET/resources/wind_power_site

Retrieve details of a specific premium wind power site.

Query Parameters

1 field
resource_idrequired
string

The unique identifier of the resource.

Responses

200

OK

PremiumWindPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)requiredThe site capacity (rated power × number of turbines) in MW.
rotor_diameter
number (double)optionalAverage diameter of turbine rotor in metres. Must be between 20 and 200.
rated_power
number (double)optionalAverage turbine rated power in MW. Must be between 0.1 and 15000.
hub_height
number (double)optionalAverage height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.
number_of_turbines
integer (int32)optionalTotal number of turbines at site. Must be between 1 and 500. Defaults to 1.
cut_in_wind_speed
number (double)optionalMinimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.
cut_out_wind_speed
number (double)optionalMaximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.
rated_wind_speed
number (double)optionalWind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

GET/resources/wind_power_site

Request
curl -X GET "https://api.solcast.com.au/resources/wind_power_site?resource_id=c533-fbce-05b5-b3ef" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "resource_id": "c533-fbce-05b5-b3ef",
  "name": "GDP - Postman Test Site",
  "latitude": 36.5,
  "longitude": -5.5,
  "capacity": 14,
  "rotor_diameter": 90,
  "rated_power": 2,
  "hub_height": 100,
  "number_of_turbines": 7,
  "cut_in_wind_speed": 3,
  "cut_out_wind_speed": 25,
  "rated_wind_speed": 13.5
}

Patch Resource

View as Markdown
PATCH/resources/wind_power_site

Partially update a premium wind power site. Only fields included in the body are updated. All body fields: resource_id (required), name, latitude, longitude, capacity, rotor_diameter (20-200), rated_power (0.1-15000), hub_height (10-200), number_of_turbines (1-500), cut_in_wind_speed (0-10), cut_out_wind_speed (15-35), rated_wind_speed (8-20).

Request Body

12 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

capacityrequired
number (double)

The site capacity (rated power × number of turbines) in MW.

rotor_diameter
number (double)

Average diameter of turbine rotor in metres. Must be between 20 and 200.

rated_power
number (double)

Average turbine rated power in MW. Must be between 0.1 and 15000.

hub_height
number (double)

Average height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.

number_of_turbines
integer (int32)

Total number of turbines at site. Must be between 1 and 500. Defaults to 1.

cut_in_wind_speed
number (double)

Minimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.

cut_out_wind_speed
number (double)

Maximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.

rated_wind_speed
number (double)

Wind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

Responses

200

OK

PremiumWindPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)requiredThe site capacity (rated power × number of turbines) in MW.
rotor_diameter
number (double)optionalAverage diameter of turbine rotor in metres. Must be between 20 and 200.
rated_power
number (double)optionalAverage turbine rated power in MW. Must be between 0.1 and 15000.
hub_height
number (double)optionalAverage height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.
number_of_turbines
integer (int32)optionalTotal number of turbines at site. Must be between 1 and 500. Defaults to 1.
cut_in_wind_speed
number (double)optionalMinimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.
cut_out_wind_speed
number (double)optionalMaximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.
rated_wind_speed
number (double)optionalWind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

PATCH/resources/wind_power_site

Request
curl -X PATCH "https://api.solcast.com.au/resources/wind_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}

Update Resource

View as Markdown
PUT/resources/wind_power_site

Full replacement update of a premium wind power site. All fields: resource_id (required), name, latitude (-90 to 90), longitude (-180 to 180), capacity (>0 MW), rotor_diameter (20-200m), rated_power (0.1-15000 MW), hub_height (10-200m), number_of_turbines (1-500), cut_in_wind_speed (0-10 m/s), cut_out_wind_speed (15-35 m/s), rated_wind_speed (8-20 m/s).

Request Body

12 fields
resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

capacityrequired
number (double)

The site capacity (rated power × number of turbines) in MW.

rotor_diameter
number (double)

Average diameter of turbine rotor in metres. Must be between 20 and 200.

rated_power
number (double)

Average turbine rated power in MW. Must be between 0.1 and 15000.

hub_height
number (double)

Average height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.

number_of_turbines
integer (int32)

Total number of turbines at site. Must be between 1 and 500. Defaults to 1.

cut_in_wind_speed
number (double)

Minimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.

cut_out_wind_speed
number (double)

Maximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.

rated_wind_speed
number (double)

Wind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

Responses

200

OK

PremiumWindPowerResource
resource_id
stringrequiredThe unique identifier of the resource.
name
stringrequiredThe name of the resource.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
capacity
number (double)requiredThe site capacity (rated power × number of turbines) in MW.
rotor_diameter
number (double)optionalAverage diameter of turbine rotor in metres. Must be between 20 and 200.
rated_power
number (double)optionalAverage turbine rated power in MW. Must be between 0.1 and 15000.
hub_height
number (double)optionalAverage height of turbine hub in metres. Must be between 10 and 200. Defaults to 80.
number_of_turbines
integer (int32)optionalTotal number of turbines at site. Must be between 1 and 500. Defaults to 1.
cut_in_wind_speed
number (double)optionalMinimum wind speed for generation in m/s. Must be between 0 and 10. Defaults to 3.
cut_out_wind_speed
number (double)optionalMaximum wind speed before shutdown in m/s. Must be between 15 and 35. Defaults to 25.
rated_wind_speed
number (double)optionalWind speed at rated power in m/s. Must be between 8 and 20. Defaults to 12.

PUT/resources/wind_power_site

Request
curl -X PUT "https://api.solcast.com.au/resources/wind_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}'
Response
live example
200
{
  "resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "name": "My Site",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "rotor_diameter": 1,
  "rated_power": 1,
  "hub_height": 1,
  "number_of_turbines": 42,
  "cut_in_wind_speed": 1,
  "cut_out_wind_speed": 1,
  "rated_wind_speed": 1
}

Delete Resource

View as Markdown
DELETE/resources/wind_power_site

Delete a premium wind power site.

Query Parameters

1 field
resource_idrequired
string

The unique identifier of the resource.

Responses

204

No Content

DELETE/resources/wind_power_site

Request
curl -X DELETE "https://api.solcast.com.au/resources/wind_power_site?resource_id=c533-fbce-05b5-b3ef" \
  -H "Authorization: Bearer $API_KEY"
Response
200

Retrieve Current Schedule

View as Markdown
GET/manage/schedules

Retrieve the current availability and curtailment schedule for a premium resource. Use issue_time to query historical schedule state.

Query Parameters

3 fields
resource_idrequired
string

The resource id.

period_startrequired
string (date-time)

Start of the query window (ISO 8601). Must be on a 5-minute boundary.

period_endrequired
string (date-time)

End of the query window (ISO 8601). Must be on a 5-minute boundary.

Responses

200

OK

ResourceScheduleResponse
availability_schedule
AvailabilityIntervalDto[]optionalview definition
period_start
string (date-time)optional
period_end
string (date-time)optional
availability
number (double)optional
curtailment_schedule
CurtailmentIntervalDto[]optionalview definition
period_start
string (date-time)optional
period_end
string (date-time)optional
curtailment
number (double)optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
message
stringoptional
stack_trace
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
meta
objectoptional

GET/manage/schedules

Request
curl -X GET "https://api.solcast.com.au/manage/schedules?resource_id=cbf6-a872-1cb2-566f&period_start=2026-01-01T00:00:00.0000000Z&period_end=2026-01-02T00:00:00.0000000Z&issue_time=<issue_time>" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "availability_schedule": [],
[...]
